# PhotoVoltaics

Modelica library for the simulation of photo voltaic cells, modules and plants. The library provides:
 - Simple cell models based on one diode and a irradiance dependent current source including temperature dependence of the open circuit voltage and the short circuit current
 - Simple symmetric modules and non-symmetric module including shading of cells
 - Simple symmetric plant 
 - Data of commercial modules stored in Modelica Records for convinient investigations
 - Analytical irradiance model without weather conditions
 - Single and three phase quasi static converters
 - Maximum power tracker based on contiuous voltage regulation

# License

This Modelica library is free software and the use is completely at your own
risk. The library is released under [Modelica License 1.1](https://www.modelica.org/licenses/ModelicaLicense1.1)

# Development and contribution

The library was developed during a Diploma project at the Technical Engineering College, [TGM](http://www.tgm.ac.at), Wexstraße 19-23, 1200 Vienna, Austria. Library authors are  Jovan Brkic, Muaz Ceran, Mohamed Elmoghazy, Ramazan Kavlak, and [Christian Kral](http://christiankral.net).

# Contact

e-mail: dr.christian.kral(at)gmail.com
